"use client";
import { __exports as c } from "../../../../_virtual/debounce2.js";
var a;
function D() {
  return a ? c : (a = 1, (function(r) {
    Object.defineProperty(r, Symbol.toStringTag, { value: "Module" });
    function f(b, m, { signal: d, edges: l } = {}) {
      let u, e = null;
      const h = l != null && l.includes("leading"), p = l == null || l.includes("trailing"), i = () => {
        e !== null && (b.apply(u, e), u = void 0, e = null);
      }, T = () => {
        p && i(), o();
      };
      let n = null;
      const s = () => {
        n != null && clearTimeout(n), n = setTimeout(() => {
          n = null, T();
        }, m);
      }, g = () => {
        n !== null && (clearTimeout(n), n = null);
      }, o = () => {
        g(), u = void 0, e = null;
      }, v = () => {
        i();
      }, t = function(..._) {
        if (d?.aborted)
          return;
        u = this, e = _;
        const q = n == null;
        s(), h && q && i();
      };
      return t.schedule = s, t.cancel = o, t.flush = v, d?.addEventListener("abort", o, { once: !0 }), t;
    }
    r.debounce = f;
  })(c), c);
}
export {
  D as __require
};
